.paragraph--type--component-media-asset {
  margin: var(--margin-large) auto;
  max-width: 1180px;
  padding: 0 8vw;

  .media-asset-image-link {
    display: block;
    margin-inline: auto;
    text-align: center;
  }
  .media-asset-image-link-title {
    display: block;
    text-align: left;
  }

  .media-asset-image {
    max-width: 100%;
    width: min-content;
  }


}

.paragraph--type--basic-copy + .paragraph--type--component-media-asset {
  margin-top: 0;
}

.paragraph--type--component-media-asset.full-width-yes {
  padding: 0;
  max-width: none;

  .media-asset-image {
    width: 100%;
  }
}

.media-asset-wrapper {
  padding: 0 var(--margin-normal) var(--margin-normal) var(--margin-normal);
}

.paragraph--type--component-media-asset.full-width-yes .media-asset-wrapper {
  padding: 0;
}

.media-asset-wrapper.show-border-yes,
.paragraph--type--component-media-asset.full-width-yes .media-asset-wrapper.show-border-yes {
  border-bottom: solid 1px var(--color-light-gray);
  padding-bottom: var(--margin-normal);
}

.paragraph--type--component-media-asset h2 {
  margin-bottom: 4rem;
}

.paragraph--type--component-media-asset .field--name-field-media-oembed-video {
  position: relative;
  padding-bottom: 56.25%;
  height: 0;
  overflow: hidden;
}
.paragraph--type--component-media-asset.item-count-2 .field--name-field-media-asset-media {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 4rem;
}

.paragraph--type--component-media-asset .field--name-field-media-oembed-video iframe,
.paragraph--type--component-media-asset .field--name-field-media-oembed-video object,
.paragraph--type--component-media-asset .field--name-field-media-oembed-video embed,
.paragraph--type--component-media-asset .field--name-field-media-oembed-video video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.paragraph--type--component-media-asset.item-count-2 .field--name-field-media-oembed-video {
  padding-bottom: 100%;
  overflow: visible;
}

.paragraph--type--component-media-asset .field--name-field-media-image img {
  display: block;
  height: auto;
  width: 100%;
}

.paragraph--type--component-media-asset .field--name-field-media-asset-caption {
  font-size: var(--font-body-medium-small);
  margin: var(--margin-normal) 0 0 0;
}

.paragraph--type--component-media-asset .field--name-field-media-asset-link {
  font-size: var(--font-body-medium-small);
  margin: var(--margin-small) 0 0 0;
}

.paragraph--type--component-media-asset .field--name-field-media-asset-link svg {
  padding-left: 5px;
}

@media (max-width: 768px) {

  .media-asset-wrapper {
    padding: 0;
  }

  .paragraph--type--component-media-asset .field--name-field-media-asset-caption {
    width: 100%;
  }

  .paragraph--type--component-media-asset.item-count-2 .field--name-field-media-asset-media {
    grid-template-columns: 1fr;
    gap: 4rem;
  }

}
